Get a schedule
Show detailed information about a schedule, including entries for each layer.
Scoped OAuth requires: schedules.read
Authorization
api_key The API Key with format Token token=<API_KEY>
In: header
Path Parameters
The ID of the schedule.
Query Parameters
Time zone in which results will be rendered. This will default to the schedule's time zone.
tzinfoThe start of the date range over which you want to show schedule entries. Defaults to 2 weeks before until if an until is given. Optional parameter. When provided with include[] for schedule types, populates the rendered_schedule_entries fields in the response.
date-timeThe end of the date range over which you want to show schedule entries. Defaults to 2 weeks after since if a since is given. Optional parameter. When provided with include[] for schedule types, populates the rendered_schedule_entries fields in the response.
date-timeAny on-call schedule entries that pass the date range bounds will be truncated at the bounds, unless the parameter overflow=true is passed. This parameter defaults to false.
For instance, if your schedule is a rotation that changes daily at midnight UTC, and your date range is from 2011-06-01T10:00:00Z to 2011-06-01T14:00:00Z:
- If you don't pass the
overflow=trueparameter, you will get one schedule entry returned with a start of2011-06-01T10:00:00Zand end of2011-06-01T14:00:00Z. - If you do pass the
overflow=trueparameter, you will get one schedule entry returned with a start of2011-06-01T00:00:00Zand end of2011-06-02T00:00:00Z.
falseSpecify an user_id, and the schedule list API will return information about this user's next on-call.
Header Parameters
The Accept header is used as a versioning header.
"application/vnd.pagerduty+json;version=2""application/json"Value in
- "application/json"
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
Delete a schedule DELETE
Delete an on-call schedule. A Schedule determines the time periods that users are On-Call. For more information see the [API Concepts Document](https://developer.pagerduty.com/api-reference/a47605517c19a-api-concepts#schedules) Scoped OAuth requires: `schedules.write`
List overrides GET
List overrides for a given time range. A Schedule determines the time periods that users are On-Call. For more information see the [API Concepts Document](https://developer.pagerduty.com/api-reference/a47605517c19a-api-concepts#schedules) Scoped OAuth requires: `schedules.read`